package com.jzdsh.auto.biz;

import com.jzdsh.auto.model.ShareInfo;
import lombok.extern.log4j.Log4j2;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.biz
 * @ClassName: ShareInfoService
 * @Author: Jzdsh
 * @Description: 分享人与被分享人联系
 * @Date: 2020/3/23 12:34
 * @Version: 1.0
 */
@Log4j2
public class ShareInfoService {


    public ShareInfo getByToken(String token) {
        try {
            return ShareInfo.dao.findFirst("select * from share_info where token = ?", token);
        } catch (Exception e) {
            log.info(e);
        }
        return null;
    }
}
